Advertisement
Guest User

abuild psi

a guest
Dec 11th, 2012
149
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
Bash 1.84 KB | None | 0 0
  1. #ABUILD created by/создан: agr3ss0r, agr3ss0r86 at gmail.com
  2. pkgname=psi
  3. svnver=`svn info http://psi-dev.googlecode.com/svn/trunk | grep "Revision:" | cut -f2 -d ' '`
  4. pkgver=0.15.$svnver
  5. pkgbuild=1
  6. arch=('auto')
  7.  
  8. shortdesc=("Psi+ - an modified version of Psi jabber client")
  9. longdesc=("Psi+ - an modified version of Psi jabber client")
  10.  
  11. source=("")
  12.  
  13. patch_opts=("")
  14.  
  15. tags="xapps net-im"
  16.  
  17. # Plugins list. Includes certain plugins
  18. # * - include all plugins
  19. # Available plugins: http://psi-dev.googlecode.com/svn/trunk/plugins/generic
  20. # Example: plugins_list="image translate"
  21. # includes only imageplugin and translateplugin to package
  22. plugins_list="*"
  23. # Use WebKit (http://psi-plus.com/wiki/doku.php/webkit)
  24. # values: (0|1)
  25. usewebkit=1
  26.  
  27. build() {
  28.   sleep 0;pkgrel=1
  29.   mkdir $srcdir && cd $srcdir
  30.  
  31.   PSI_DIR=$srcdir
  32.   SYSLIBDIRNAME="lib"
  33.   ICONSETS="system clients activities moods affiliations roster"
  34.   WORK_OFFLINE=0
  35.   PATCH_LOG="${PSI_DIR}/psipatch.log"
  36.   SKIP_INVALID_PATCH=1
  37.   CONF_OPTS=""
  38.   [ $usewebkit -eq "1" ] && CONF_OPTS="${CONF_OPTS} --enable-webkit"
  39.   INSTALL_ROOT=$pkgdir
  40.   PLUGINS=$plugins_list
  41.   TRANSLATIONS="ru"
  42.  
  43.   # checkout libpsibuild
  44.   die() { error "$@"; exit 1; }
  45.   if [ ! -f ./libpsibuild.sh -o "$WORK_OFFLINE" = 0 ]; then
  46.     [ -f libpsibuild.sh ] && { rm libpsibuild.sh || die "Delete error"; }
  47.     wget --no-check-certificate "https://raw.github.com/psi-plus/maintenance/master/scripts/posix/libpsibuild.sh" || die "Failed to update libpsibuild";
  48.   fi
  49.  
  50.   . ./libpsibuild.sh
  51.  
  52.   #############
  53.   # Go Go Go! #
  54.   #############
  55.  
  56.   check_env $CONF_OPTS || true
  57.   prepare_workspace || true
  58.   fetch_all || true
  59.   prepare_all || true
  60.  
  61.   revision=$rev
  62.   sleep 0;pkgver="$pkgver.$revision"
  63.  
  64.   compile_all || true
  65.   install_all || true
  66. }
  67.  
  68.  
  69. after_build() {
  70.     set -e
  71.     set +e
  72. }
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement